org.wildfly.swarm.microprofile.restclient.deployment

## Class RestClientDelegateBean

- java.lang.Object
- - org.wildfly.swarm.microprofile.restclient.deployment.RestClientDelegateBean

-     public class RestClientDelegateBean
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REST_SCOPE_FORMAT`
    `static String` | `REST_URL_FORMAT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `create(<any> creationalContext)`
    `void` | `destroy(Object instance, <any> creationalContext)`
    `Class<?>` | `getBeanClass()`
    `String` | `getId()`
    `Set<InjectionPoint>` | `getInjectionPoints()`
    `String` | `getName()`
    `Set<Annotation>` | `getQualifiers()`
    `Class<? extends Annotation>` | `getScope()`
    `Set<Class<? extends Annotation>>` | `getStereotypes()`
    `Set<Type>` | `getTypes()`
    `boolean` | `isAlternative()`
    `boolean` | `isNullable()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REST_URL_FORMAT

          public static final String REST_URL_FORMAT

      See Also:
        Constant Field Values

    - #### REST_SCOPE_FORMAT

          public static final String REST_SCOPE_FORMAT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getBeanClass

          public Class<?> getBeanClass()

    - #### getInjectionPoints

          public Set<InjectionPoint> getInjectionPoints()

    - #### isNullable

          public boolean isNullable()

    - #### create

          public Object create(<any> creationalContext)

    - #### destroy

          public void destroy(Object instance,
                              <any> creationalContext)

    - #### getTypes

          public Set<Type> getTypes()

    - #### getQualifiers

          public Set<Annotation> getQualifiers()

    - #### getScope

          public Class<? extends Annotation> getScope()

    - #### getName

          public String getName()

    - #### getStereotypes

          public Set<Class<? extends Annotation>> getStereotypes()

    - #### isAlternative

          public boolean isAlternative()

Copyright © 2018 JBoss by Red Hat. All rights reserved.